Loading...
Searching...
No Matches
QGpgME::QGpgMEImportJob Class Reference
Inheritance diagram for QGpgME::QGpgMEImportJob:
[legend]
Collaboration diagram for QGpgME::QGpgMEImportJob:
[legend]

## Public Member Functions

| QGpgMEImportJob (GpgME::Context *context)
GpgME::Error | start (const QByteArray &keyData) override
GpgME::ImportResult | exec (const QByteArray &keyData) override
GpgME::Error | startLater (const QByteArray &keyData) override
Public Member Functions inherited from QGpgME::_detail::ThreadedJobMixin< ImportJob, QGpgMEImportJobPrivate, std::tuple< GpgME::ImportResult, QString, GpgME::Error > >
void | run ()
Public Member Functions inherited from QGpgME::ImportJob
void | setImportFilter (const QString &filter)
QString | importFilter () const
void | setImportOptions (const QStringList &options)
QStringList | importOptions () const
void | setKeyOrigin (GpgME::Key::Origin origin, const QString &url={})
GpgME::Key::Origin | keyOrigin () const
QString | keyOriginUrl () const
Public Member Functions inherited from QGpgME::Job
bool | isAuditLogSupported () const
GpgME::Error | startIt ()
void | startNow ()

## Additional Inherited Members

Public Types inherited from QGpgME::_detail::ThreadedJobMixin< ImportJob, QGpgMEImportJobPrivate, std::tuple< GpgME::ImportResult, QString, GpgME::Error > >
typedef ThreadedJobMixin< ImportJob, QGpgMEImportJobPrivate, std::tuple< GpgME::ImportResult, QString, GpgME::Error > > | mixin_type
typedef std::tuple< GpgME::ImportResult, QString, GpgME::Error > | result_type
Signals inherited from QGpgME::AbstractImportJob
void | result (const GpgME::ImportResult &result, const QString &auditLogAsHtml=QString(), const GpgME::Error &auditLogError=GpgME::Error())
Signals inherited from QGpgME::Job
void | jobProgress (int current, int total)
void | rawProgress (const QString &what, int type, int current, int total)
QGPGME_DEPRECATED void | progress (const QString &what, int current, int total)
void | done ()
Static Public Member Functions inherited from QGpgME::Job
static GpgME::Context * | context (Job *job)
Protected Member Functions inherited from QGpgME::_detail::ThreadedJobMixin< ImportJob, QGpgMEImportJobPrivate, std::tuple< GpgME::ImportResult, QString, GpgME::Error > >
| ThreadedJobMixin (GpgME::Context *ctx)
void | lateInitialization ()
void | setWorkerFunction (const T_binder &func)
GpgME::Context * | context () const
virtual void | resultHook (const result_type &)
void | slotFinished ()
void | slotCancel () override
QString | auditLogAsHtml () const override
GpgME::Error | auditLogError () const override
void | showProgress (const char *what, int type, int current, int total) override
Protected Member Functions inherited from QGpgME::ImportJob
| ImportJob (std::unique_ptr< ImportJobPrivate >, QObject *parent)
Protected Member Functions inherited from QGpgME::AbstractImportJob
| AbstractImportJob (std::unique_ptr< AbstractImportJobPrivate >, QObject *parent)
| AbstractImportJob (QObject *parent)
Protected Member Functions inherited from QGpgME::Job
| Job (std::unique_ptr< JobPrivate >, QObject *parent)
| Job (QObject *parent)
Protected Attributes inherited from QGpgME::Job
const std::unique_ptr< JobPrivate > | d_ptr

## Member Function Documentation

## exec()

GpgME::ImportResult QGpgME::QGpgMEImportJob::exec | ( | const QByteArray & | keyData | ) |

override virtual

Implements QGpgME::ImportJob.

## start()

Error QGpgMEImportJob::start | ( | const QByteArray & | keyData | ) |

override virtual

Starts the importing operation. keyData contains the data to import from.

Implements QGpgME::ImportJob.

## startLater()

Error QGpgMEImportJob::startLater | ( | const QByteArray & | keyData | ) |

override virtual

Implements QGpgME::ImportJob.

The documentation for this class was generated from the following files:

- qgpgmeimportjob.h
- qgpgmeimportjob.cpp